Index: appendixa/shellutils-desc.sgml
===================================================================
--- appendixa/shellutils-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
+++ appendixa/shellutils-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
@@ -0,0 +1,302 @@
+<sect2>
+<title>Contents</title>
+
+<para>
+The Shellutils package contains the basename, chroot, date, dirname,
+echo, env, expr, factor, false, groups, hostid, hostname, id, logname,
+nice, nohup, pathchk, pinky, printenv, printf, pwd, seq, sleep, stty,
+su, tee, test, true, tty, uname, uptime, users, who, whoami and yes
+programs.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>basename</title>
+
+<para>
+basename strips directory and suffixes from filenames.
+</para>
+
+</sect3>
+
+<sect3><title>chroot</title>
+
+<para>
+chroot runs a command or interactive shell with special root directory.
+</para>
+
+</sect3>
+
+<sect3><title>date</title>
+
+<para>
+date displays the current time in a specified format, or sets the system 
+date.
+</para>
+
+</sect3>
+
+<sect3><title>dirname</title>
+
+<para>
+dirname strips non-directory suffixes from file name.
+</para>
+
+</sect3>
+
+<sect3><title>echo</title>
+
+<para>
+echo displays a line of text.
+</para>
+
+</sect3>
+
+<sect3><title>env</title>
+
+<para>
+env runs a program in a modified environment.
+</para>
+
+</sect3>
+
+<sect3><title>expr</title>
+
+<para>
+expr evaluates expressions.
+</para>
+
+</sect3>
+
+<sect3><title>factor</title>
+
+<para>
+factor prints the prime factors of all specified integer numbers.
+</para>
+
+</sect3>
+
+<sect3><title>false</title>
+
+<para>
+false always exits with a status code indicating failure.
+</para>
+
+</sect3>
+
+<sect3><title>groups</title>
+
+<para>
+groups prints the groups a user is in.
+</para>
+
+</sect3>
+
+<sect3><title>hostid</title>
+
+<para>
+hostid prints the numeric identifier (in hexadecimal) for the current 
+host.
+</para>
+
+</sect3>
+
+<sect3><title>hostname</title>
+
+<para>
+hostname sets or prints the name of the current host system
+</para>
+
+</sect3>
+
+<sect3><title>id</title>
+
+<para>
+id prints the real and effective UIDs and GIDs of a user or the current
+user.
+</para>
+
+</sect3>
+
+<sect3><title>logname</title>
+
+<para>
+logname prints the current user's login name.
+</para>
+
+</sect3>
+
+<sect3><title>nice</title>
+
+<para>
+nice runs a program with modified scheduling priority.
+</para>
+
+</sect3>
+
+<sect3><title>nohup</title>
+
+<para>
+nohup runs a command immune to hangups, with output to a non-tty
+</para>
+
+</sect3>
+
+<sect3><title>pathchk</title>
+
+<para>
+pathchk checks whether file names are valid or portable.
+</para>
+
+</sect3>
+
+<sect3><title>pinky</title>
+
+<para>
+pinky is a lightweight finger utility which retrieves information about
+a certain user
+</para>
+
+</sect3>
+
+<sect3><title>printenv</title>
+
+<para>
+printenv prints all or part of the environment.
+</para>
+
+</sect3>
+
+<sect3><title>printf</title>
+
+<para>
+printf formats and print data (the same as the printf C function).
+</para>
+
+</sect3>
+
+<sect3><title>pwd</title>
+
+<para>
+pwd prints the name of the current/working directory
+</para>
+
+</sect3>
+
+<sect3><title>seq</title>
+
+<para>
+seq prints numbers in a certain range with a certain increment.
+</para>
+
+</sect3>
+
+<sect3><title>sleep</title>
+
+<para>
+sleep delays for a specified amount of time.
+</para>
+
+</sect3>
+
+<sect3><title>stty</title>
+
+<para>
+stty changes and prints terminal line settings.
+</para>
+
+</sect3>
+
+<sect3><title>su</title>
+
+<para>
+su runs a shell with substitute user and group IDs
+</para>
+
+</sect3>
+
+<sect3><title>tee</title>
+
+<para>
+tee reads from standard input and write to standard output and files.
+</para>
+
+</sect3>
+
+<sect3><title>test</title>
+
+<para>
+test checks file types and compares values.
+</para>
+
+</sect3>
+
+<sect3><title>true</title>
+
+<para>
+True always exitx with a status code indicating success.
+</para>
+
+</sect3>
+
+<sect3><title>tty</title>
+
+<para>
+tty prints the file name of the terminal connected to standard input.
+</para>
+
+</sect3>
+
+<sect3><title>uname</title>
+
+<para>
+uname prints system information.
+</para>
+
+</sect3>
+
+<sect3><title>uptime</title>
+
+<para>
+uptime tells how long the system has been running.
+</para>
+
+</sect3>
+
+<sect3><title>users</title>
+
+<para>
+users prints the user names of users currently logged in to the 
+current host.
+</para>
+
+</sect3>
+
+<sect3><title>who</title>
+
+<para>
+who shows who is logged on.
+</para>
+
+</sect3>
+
+<sect3><title>whoami</title>
+
+<para>
+whoami prints your effective userid.
+</para>
+
+</sect3>
+
+<sect3><title>yes</title>
+
+<para>
+yes outputs a string repeatedly until killed.
+</para>
+
+</sect3>
+
+</sect2>
+
